Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.lead.bank/llms.txt

Use this file to discover all available pages before exploring further.

Below is an example request when the debtor is sending dollars and the creditor is receiving foreign currency (over blockchain rails) or stablecoins.

POST /v0/blockchain_payments

Auth Scope: blockchain_payment/read_write 

Examples

Fiat-Fiat

Request
{
    "debtor":
    {
        "account_identifier":
        {
            "type": "account_number_id",
            "value": "account_number_1234"
        },    
    },
    "creditor":
    {
        "payment_rail": "pix_key",
        "pix_key":
        {
            "pix_key": "123.456.789-00",
            "document_number": "12345678900"
        },
        "type": "business",
        "business":
        {
            "business_name": "Acme Brazil Ltda"
        },
        "address":
        {
            "line_one": "Rua das Flores 100",
            "city": "Sao Paulo",
            "country": "BR",
            "postal_code": "01311-000"
        }
    },
    "creditor_agent":
    {
        "bank_name": "Banco Santander Brasil",
        "country_code": "BR"
    },
    "amounts": 
    {
        "instructed_amount": 50000,
        "instructed_currency_code": "USD",
        "settlement_currency_code": "BRL"
    },
    "payment_purpose":
    {
        "type": "invoice_payment"
    },
    "reference": "INV-2026-001",
}
Success Response (200)
{
    "id": "blockchain_payment_1234",
    "debtor":
    {
        "account_identifier":
        {
            "type": "account_number_id",
            "value": "account_number_1234"
        },
        "entity_id": "entity_67890"
    },
    "creditor":
    {
        "payment_rail": "pix_key",
        "pix_key":
        {
            "pix_key": "123.456.789-00",
            "document_number": "12345678900"
        },
        "type": "business",
        "business":
        {
            "business_name": "Acme Brazil Ltda"
        },
        "address":
        {
            "line_one": "Rua das Flores 100",
            "city": "São Paulo",
            "country": "BR",
            "postal_code": "01311-000"
        }
    },
    "creditor_agent":
    {
        "bank_name": "Banco Santander Brasil",
        "country_code": "BR",
    },
    "amounts": 
    {
        "instructed_amount": 50000,
        "instructed_currency_code": "USD",
        "settlement_currency_code": "BRL",
        "settlement_amount": 255700,
        "settlement_exchange_rate": 511
    },
    "payment_purpose":
    {
        "type": "invoice_payment"
    },
    "reference": "INV-2026-001",
    "status": "created",
    "created_at": "2026-02-24T11:22:33Z",
    "updated_at": "2026-02-24T11:22:33Z"
}

Fiat-to-Crypto

Request
{
    "debtor":
    {
        "account_identifier":
        {
            "type": "account_number_id",
            "value": "account_number_1234"
        },
    },
    "creditor":
    {
        "payment_rail": "solana",
        "wallet":
        {
            "wallet_address": "9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM"
        },
        "type": "individual",
        "individual":
        {
            "first_name": "Jane",
            "last_name": "Doe"
        },
        "address":
        {
            "line_one": "456 Solana Ave",
            "city": "Miami",
            "country": "US",
            "state": "FL",
            "postal_code": "33101"
        }
    },
    "amounts": 
    {
        "instructed_amount": 10099,
        "instructed_currency_code": "USD",
        "settlement_currency_code": "USDC"
    },
    "payment_purpose":
    {
        "type": "payment_for_services"
    },
    "reference": "SOL-TRANSFER-001",
}
Success Response (200)
{
    "id": "blockchain_payment_5678",
    "debtor":
    {
        "account_identifier":
        {
            "type": "account_number_id",
            "value": "account_number_1234"
        },
        "entity_id": "entity_67890"
    },
    "creditor":
    {
        "payment_rail": "solana",
        "wallet":
        {
            "wallet_address": "9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM"
        },
        "type": "individual",
        "individual":
        {
            "first_name": "Jane",
            "last_name": "Doe"
        },
        "address":
        {
            "line_one": "456 Solana Ave",
            "city": "Miami",
            "country": "US",
            "state": "FL",
            "postal_code": "33101"
        }
    },
    "amounts": 
    {
        "instructed_amount": 10099,
        "instructed_currency_code": "USD",
        "settlement_currency_code": "USDC",
        "settlement_amount": 10099
    },
    "payment_purpose":
    {
        "type": "payment_for_services"
    },
    "reference": "SOL-TRANSFER-001",
    "status": "created",
    "created_at": "2026-02-24T11:22:33Z",
    "updated_at": "2026-02-24T11:22:33Z"
}